Create new service hours entry
Create new hours entry for a service-order.
Required permissions: SERVICE_ORDER
post/tenants/{tenantUid}/stores/{storeUid}/serviceorders/{serviceOrderUid}/hours
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+serviceOrderUidstringRequiredPattern:
Reference to a service order
^[A-Za-z0-9-_]+Body
serviceDatestring · date-timeRequired
usedMinutesintegerRequired
notestringOptional
billedMinutesintegerOptional
hourlyRateUidstringRequiredPattern:
^[A-Za-z0-9-_]+serviceHoursUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
201
Example response
application/json
serviceHoursUidstringRequiredPattern:
^[A-Za-z0-9-_]+serviceOrderUidstringRequiredPattern:
^[A-Za-z0-9-_]+tenantUserUidstringRequiredPattern:
^[A-Za-z0-9-_]+notestringRequired
serviceDatestring · date-timeRequired
usedMinutesintegerRequired
billedMinutesintegerRequired
hourPriceintegerRequired
totalPriceintegerRequired
tenantUserDisplayNamestringRequired
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
hourlyRateUidstringRequiredPattern:
^[A-Za-z0-9-_]+salesOrderUidstringRequiredPattern:
^[A-Za-z0-9-_]+post/tenants/{tenantUid}/stores/{storeUid}/serviceorders/{serviceOrderUid}/hours
POST /v2/tenants/{tenantUid}/stores/{storeUid}/serviceorders/{serviceOrderUid}/hours HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 138
{
"serviceDate": "2026-01-01T00:00:00.000Z",
"usedMinutes": 1,
"note": "text",
"billedMinutes": 1,
"hourlyRateUid": "text",
"serviceHoursUid": "text"
}201
Example response
{
"serviceHoursUid": "text",
"serviceOrderUid": "text",
"tenantUserUid": "text",
"note": "text",
"serviceDate": "2026-01-01T00:00:00.000Z",
"usedMinutes": 1,
"billedMinutes": 1,
"hourPrice": 1,
"totalPrice": 1,
"tenantUserDisplayName": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"hourlyRateUid": "text",
"salesOrderUid": "text"
}Last updated
Was this helpful?

